Bug 584376 - Nautilus file property page did not contains 'eiciel' specific pages
Summary: Nautilus file property page did not contains 'eiciel' specific pages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eiciel
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 610981 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 13:39 UTC by Andrew Martynov
Modified: 2011-05-09 03:54 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-07 02:49:42 UTC


Attachments (Terms of Use)
eiciel 0.9.8-1 (402.06 KB, application/octet-stream)
2010-11-27 21:54 UTC, ivancool
no flags Details

Description Andrew Martynov 2010-04-21 13:39:41 UTC
Description of problem:
After installing eiciel package and login/logout file property page did not contains 2 pages for ACL entries.

Version-Release number of selected component (if applicable):
eiciel-0.9.6.1-3.fc12.x86_64
nautilus-2.28.4-2.fc12.x86_64
libacl-2.2.49-3.fc12.x86_64
acl-2.2.49-2.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install nautilus eiciel
2. tune2fs -l /dev/VolGroup00/LogVol00 | grep options | grep acl
3.
  
Actual results:
Typical property pages are shown

Expected results:
It should looks like http://rofi.roger-ferrer.org/eiciel/?s=5

Additional info:

ls -1 /usr/lib64/nautilus/extensions-2.0/
libeiciel-nautilus.so
libevince-properties-page.so
libnautilus-brasero-extension.so
libnautilus-fileroller.so
libnautilus-gdu.so
libnautilus-open-terminal.so
libnautilus-sendto.so
libnautilus-share-extension.so
libtotem-properties-page.so

Traceback without eiciel installed (start nautilus, right click on file, menu Properties):
$LANG=C nautilus --no-desktop
Initializing nautilus-gdu extension
Initializing nautilus-open-terminal extension


Traceback with eiciel installed (start nautilus, right click on file, menu Properties):
$LANG=C nautilus --no-desktop
Initializing nautilus-gdu extension
Initializing nautilus-open-terminal extension

(nautilus:24083): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(nautilus:24083): libgnomevfs-WARNING **: Internal error: the configuration system was not initialized. Did you call _gnome_vfs_configuration_init?

(nautilus:24083): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(nautilus:24083): libgnomevfs-WARNING **: Internal error: the configuration system was not initialized. Did you call _gnome_vfs_configuration_init?

Comment 1 Bug Zapper 2010-11-03 16:39:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Andrew Martynov 2010-11-04 08:58:22 UTC
The problem is still appears.

Eiciel property page with ACL did not shown.

Comment 3 ivancool 2010-11-27 21:54:57 UTC
Created attachment 463278 [details]
eiciel 0.9.8-1

Latest build of eiciel for fedora.
Tested in Fedora-gnome and Fedora-xfce

Comment 4 ivancool 2010-11-27 21:58:31 UTC
You have to compile the latest version of eiciel from here http://rofi.roger-ferrer.org/eiciel/download/eiciel-0.9.8.tar.bz2...

or you can test my build
use at your own risk!
you will need "nautilus nautilus-extensions and yelp" to work.

Comment 5 Andrew Martynov 2010-11-29 06:16:17 UTC
Thank you. It works.

Is it possible to update/change eiciel version shipped in F14?

Comment 6 Marcela Mašláňová 2011-03-31 12:58:12 UTC
*** Bug 610981 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2011-04-27 23:29:08 UTC
eiciel-0.9.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/eiciel-0.9.8-1.fc15

Comment 8 Fedora Update System 2011-04-27 23:54:17 UTC
eiciel-0.9.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/eiciel-0.9.8-1.fc14

Comment 9 Fedora Update System 2011-04-28 19:03:40 UTC
Package eiciel-0.9.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eiciel-0.9.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/eiciel-0.9.8-1.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-05-07 02:49:35 UTC
eiciel-0.9.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-09 03:54:51 UTC
eiciel-0.9.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.